Bug 49344 - Не стартует nbd-server с помощью systemd
Summary: Не стартует nbd-server с помощью systemd
Status: RESOLVED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: nbd-server (show other bugs)
Version: unstable
Hardware: x86_64 Linux
: P5 normal
Assignee: Anton Farygin
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-02-09 18:38 MSK by Aleksandr Sysoev
Modified: 2024-02-16 09:20 MSK (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Sysoev 2024-02-09 18:38:49 MSK
server-10.1-x86-64 обновленный до Sisyphus
Шаги воспроизведения:
1. Добавить конфиг /etc/nbd-server/config:
[generic]
[export]
exportname = /home/test/<file>.iso
2. Попытаться запустить сервис nbd:
# systemctl start nbd

Ожидаемый результат: успешный старт сервиса
Реальный результат: сервис не стартует.

В journal:
фев 09 18:32:15 server-10-1-x86-64-20240209.localdomain systemd[1]: Started nbd-server.service - NBD server.
фев 09 18:32:15 server-10-1-x86-64-20240209.localdomain nbd-server[17352]: /usr/bin/nbd-server: invalid option -- 'D'
фев 09 18:32:15 server-10-1-x86-64-20240209.localdomain nbd-server[17352]: This is nbd-server version 0.unknown

Дополнительно:
Если в /lib/systemd/system/nbd-server.service, блок [Service] поменять 
на нижеследующее, то сервис запускается и клиенты успешно подключаются:

Type=simple
EnvironmentFile=/etc/sysconfig/nbd-server
ExecStart=/usr/bin/nbd-server $OPTIONS
PIDFile=/run/nbd-server.pid
Comment 1 Repository Robot 2024-02-12 15:44:02 MSK
nbd-3.25-alt2 -> sisyphus:

 Mon Feb 12 2024 Anton Farygin <rider@altlinux.ru> 3.25-alt2
 - fixed systemd unit (closes: #49344)
Comment 2 Aleksandr Sysoev 2024-02-14 18:50:24 MSK
Ошибка всё ещё актуальна.

Смог запустить сервис добавив в /lib/systemd/system/nbd-server.service строчку:
PIDFile=/run/nbd-server.pid
Comment 3 Repository Robot 2024-02-16 09:20:04 MSK
nbd-3.25-alt3 -> sisyphus:

 Fri Feb 16 2024 Anton Farygin <rider@altlinux.ru> 3.25-alt3
 - added pidfile to the systemd unit (closes: #49344)
 - content of the nbd-doc package is included in the package with client